#include <QtQml/qqmlprivate.h>
#include <QtCore/qdir.h>
#include <QtCore/qurl.h>
#include <QtCore/qhash.h>
#include <QtCore/qstring.h>

namespace QmlCacheGeneratedCode {
namespace _app_maui_vvave_main_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_vvave_widgets_TracksView_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_vvave_widgets_AlbumsView_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_vvave_widgets_MainPlaylist_MainPlaylist_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_vvave_widgets_PlaylistsView_PlaylistsView_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_vvave_widgets_InfoView_InfoView_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_vvave_widgets_InfoView_LyricsView_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_vvave_widgets_PlaylistsView_PlaylistsViewModel_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_vvave_widgets_FloatingDisk_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_vvave_widgets_CloudView_CloudView_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_vvave_widgets_SelectionBar_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_vvave_widgets_FocusView_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_vvave_widgets_SettingsView_SettingsDialog_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_vvave_widgets_SettingsView_ShortcutsDialog_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_vvave_widgets_FoldersView_FoldersView_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_vvave_widgets_MetadataDialog_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_vvave_widgets_BabeTable_TableDelegate_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_vvave_widgets_BabeTable_TableMenu_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_vvave_widgets_BabeTable_BabeTable_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_vvave_widgets_BabeGrid_BabeGrid_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_vvave_widgets_MiniMode_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_vvave_widgets_TracksGroup_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_vvave_widgets_SleepTimerDialog_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_vvave_utils_Player_js { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_vvave_db_Queries_js { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}

}
namespace {
struct Registry {
    Registry();
    ~Registry();
    QHash<QString, const QQmlPrivate::CachedQmlUnit*> resourcePathToCachedUnit;
    static const QQmlPrivate::CachedQmlUnit *lookupCachedUnit(const QUrl &url);
};

Q_GLOBAL_STATIC(Registry, unitRegistry)


Registry::Registry() {
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/vvave/main.qml"), &QmlCacheGeneratedCode::_app_maui_vvave_main_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/vvave/widgets/TracksView.qml"), &QmlCacheGeneratedCode::_app_maui_vvave_widgets_TracksView_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/vvave/widgets/AlbumsView.qml"), &QmlCacheGeneratedCode::_app_maui_vvave_widgets_AlbumsView_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/vvave/widgets/MainPlaylist/MainPlaylist.qml"), &QmlCacheGeneratedCode::_app_maui_vvave_widgets_MainPlaylist_MainPlaylist_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/vvave/widgets/PlaylistsView/PlaylistsView.qml"), &QmlCacheGeneratedCode::_app_maui_vvave_widgets_PlaylistsView_PlaylistsView_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/vvave/widgets/InfoView/InfoView.qml"), &QmlCacheGeneratedCode::_app_maui_vvave_widgets_InfoView_InfoView_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/vvave/widgets/InfoView/LyricsView.qml"), &QmlCacheGeneratedCode::_app_maui_vvave_widgets_InfoView_LyricsView_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/vvave/widgets/PlaylistsView/PlaylistsViewModel.qml"), &QmlCacheGeneratedCode::_app_maui_vvave_widgets_PlaylistsView_PlaylistsViewModel_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/vvave/widgets/FloatingDisk.qml"), &QmlCacheGeneratedCode::_app_maui_vvave_widgets_FloatingDisk_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/vvave/widgets/CloudView/CloudView.qml"), &QmlCacheGeneratedCode::_app_maui_vvave_widgets_CloudView_CloudView_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/vvave/widgets/SelectionBar.qml"), &QmlCacheGeneratedCode::_app_maui_vvave_widgets_SelectionBar_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/vvave/widgets/FocusView.qml"), &QmlCacheGeneratedCode::_app_maui_vvave_widgets_FocusView_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/vvave/widgets/SettingsView/SettingsDialog.qml"), &QmlCacheGeneratedCode::_app_maui_vvave_widgets_SettingsView_SettingsDialog_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/vvave/widgets/SettingsView/ShortcutsDialog.qml"), &QmlCacheGeneratedCode::_app_maui_vvave_widgets_SettingsView_ShortcutsDialog_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/vvave/widgets/FoldersView/FoldersView.qml"), &QmlCacheGeneratedCode::_app_maui_vvave_widgets_FoldersView_FoldersView_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/vvave/widgets/MetadataDialog.qml"), &QmlCacheGeneratedCode::_app_maui_vvave_widgets_MetadataDialog_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/vvave/widgets/BabeTable/TableDelegate.qml"), &QmlCacheGeneratedCode::_app_maui_vvave_widgets_BabeTable_TableDelegate_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/vvave/widgets/BabeTable/TableMenu.qml"), &QmlCacheGeneratedCode::_app_maui_vvave_widgets_BabeTable_TableMenu_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/vvave/widgets/BabeTable/BabeTable.qml"), &QmlCacheGeneratedCode::_app_maui_vvave_widgets_BabeTable_BabeTable_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/vvave/widgets/BabeGrid/BabeGrid.qml"), &QmlCacheGeneratedCode::_app_maui_vvave_widgets_BabeGrid_BabeGrid_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/vvave/widgets/MiniMode.qml"), &QmlCacheGeneratedCode::_app_maui_vvave_widgets_MiniMode_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/vvave/widgets/TracksGroup.qml"), &QmlCacheGeneratedCode::_app_maui_vvave_widgets_TracksGroup_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/vvave/widgets/SleepTimerDialog.qml"), &QmlCacheGeneratedCode::_app_maui_vvave_widgets_SleepTimerDialog_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/vvave/utils/Player.js"), &QmlCacheGeneratedCode::_app_maui_vvave_utils_Player_js::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/vvave/db/Queries.js"), &QmlCacheGeneratedCode::_app_maui_vvave_db_Queries_js::unit);
    QQmlPrivate::RegisterQmlUnitCacheHook registration;
    registration.structVersion = 0;
    registration.lookupCachedQmlUnit = &lookupCachedUnit;
    QQmlPrivate::qmlregister(QQmlPrivate::QmlUnitCacheHookRegistration, &registration);
}

Registry::~Registry() {
    QQmlPrivate::qmlunregister(QQmlPrivate::QmlUnitCacheHookRegistration, quintptr(&lookupCachedUnit));
}

const QQmlPrivate::CachedQmlUnit *Registry::lookupCachedUnit(const QUrl &url) {
    if (url.scheme() != QLatin1String("qrc"))
        return nullptr;
    QString resourcePath = QDir::cleanPath(url.path());
    if (resourcePath.isEmpty())
        return nullptr;
    if (!resourcePath.startsWith(QLatin1Char('/')))
        resourcePath.prepend(QLatin1Char('/'));
    return unitRegistry()->resourcePathToCachedUnit.value(resourcePath, nullptr);
}
}
int QT_MANGLE_NAMESPACE(qInitResources_qmlcache_vvave)() {
    ::unitRegistry();
    return 1;
}
Q_CONSTRUCTOR_FUNCTION(QT_MANGLE_NAMESPACE(qInitResources_qmlcache_vvave))
int QT_MANGLE_NAMESPACE(qCleanupResources_qmlcache_vvave)() {
    return 1;
}
